Skip to main content
POST
/
generate
/
video
/
xai
/
grok-video
Grok Imagine
curl --request POST \
  --url https://api.krea.ai/generate/video/xai/grok-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Russian dachas, with onion domes flavored with folklore."
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}

Pricing

Fixed API prices in USD.
ResolutionPrice
480p$0.05/sec
720p$0.07/sec
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
startImagestart_image2026-06-19
startVideostart_video2026-06-19
aspectRatioaspect_ratio2026-06-19
referenceImagesreference_images2026-06-19
editVideoedit_video2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
Maximum string length: 4096
start_image
string<uri> | null
start_video
string<uri> | null
duration
number
default:6
Required range: 1 <= x <= 15
resolution
enum<string>
default:720p
Available options:
480p,
720p
aspect_ratio
enum<string>
Available options:
16:9,
9:16,
1:1,
4:3,
3:4,
3:2,
2:3
reference_images
string<uri>[]
Maximum array length: 7
edit_video
string<uri>

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required
error
object